### Hierarchy

- NumericComparison
  - Assertion
  - Length
  - Assertion

## Index

### Properties

- above
- below
- greaterThan
- gt
- gte
- least
- lessThan
- lt
- lte
- most

### Methods

- within

## Properties

### above

above: NumberComparer

- Defined in node_modules/@types/chai/index.d.ts:143

### below

below: NumberComparer

- Defined in node_modules/@types/chai/index.d.ts:148

### greaterThan

greaterThan: NumberComparer

- Defined in node_modules/@types/chai/index.d.ts:145

### gt

gt: NumberComparer

- Defined in node_modules/@types/chai/index.d.ts:144

### gte

gte: NumberComparer

- Defined in node_modules/@types/chai/index.d.ts:147

### least

least: NumberComparer

- Defined in node_modules/@types/chai/index.d.ts:146

### lessThan

lessThan: NumberComparer

- Defined in node_modules/@types/chai/index.d.ts:150

### lt

lt: NumberComparer

- Defined in node_modules/@types/chai/index.d.ts:149

### lte

lte: NumberComparer

- Defined in node_modules/@types/chai/index.d.ts:152

### most

most: NumberComparer

- Defined in node_modules/@types/chai/index.d.ts:151

## Methods

### within

- within(start: number, finish: number, message?: undefined | string): Assertion
- within(start: Date, finish: Date, message?: undefined | string): Assertion

- - Defined in node_modules/@types/chai/index.d.ts:153

  #### Parameters

  - ##### start: number

  - ##### finish: number

  - ##### Optional message: undefined | string

  #### Returns Assertion

- - Defined in node_modules/@types/chai/index.d.ts:154

  #### Parameters

  - ##### start: Date

  - ##### finish: Date

  - ##### Optional message: undefined | string

  #### Returns Assertion

Generated using TypeDoc